Ignore:
Timestamp:
08/13/2020 01:14:57 PM (14 months ago)
Author:
Xi Ruoyao <xry111@…>
Branches:
10.0, 10.1, 11.0, ken/refactor-virt, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
f0bedadb
Parents:
7d50f20
Message:

texlive: fix the instruction to use system poppler-20.08

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@23508 af4574ff-66df-0310-9fd7-8a98e5e911e0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • pst/typesetting/texlive.xml

    r7d50f20 r09a2590  
    223223
    224224    <caution>
    225   <!--<para>
     225      <para>
    226226        The instructions here for dealing with <application>poppler</application>
    227227        will only work with versions of poppler used in BLFS-9.1 and later, i.e.
     
    232232        which version of <application>poppler</application> is installed and use
    233233        the appropriate versions of these files.
    234       </para>-->
    235 
    236       <para>
    237         If you wish to upgrade to current <application>texlive</application>
     234      </para>
     235
     236      <para>
     237        Similarly, if you wish to upgrade to current <application>texlive</application>
    238238        on an older system where extra packages (<application>asymptote</application>.
    239239        <application>biber</application>, <application>dvisvgm</application> or
     
    258258EOF</userinput></screen>
    259259
     260    <para>
     261      <application>TexLive</application> ships with a very old version of
     262      <application>poppler</application>, and some updated files for newer versions.
     263      To use the system version, first identify it and then copy the correct
     264      versions of the updated files (please read the Caution above):
     265    </para>
     266
     267<!-- on a release, drop this back to current version but update the
     268 Caution above and ideally keep this commented, every other (expletive
     269 deleted) poppler update tends to break this. -->
     270<screen><userinput>SYSPOP= &amp;&amp;
     271let MYPOPPLER_MAJOR=$(pkg-config --modversion poppler | cut -d '.' -f1)
     272let MYPOPPLER_MINOR=$(pkg-config --modversion poppler | cut -d '.' -f2)
     273if [ "$MYPOPPLER_MAJOR" -eq 0 ] &amp;&amp; [ "$MYPOPPLER_MINOR" -lt 85 ]; then
     274    # BLFS-9.1 uses 0.85.0, ignore earlier versions in this script.
     275    SYSPOP=
     276else
     277    SYSPOP="--with-system-poppler --with-system-xpdf"
     278    if [ "$MYPOPPLER_MAJOR" -eq 0 ] &amp;&amp; [ "$MYPOPPLER_MINOR" -lt 86 ]; then
     279        mv -v texk/web2c/pdftexdir/pdftoepdf{-poppler0.83.0,}.cc
     280    else # 0.86.0 or later, including 20.08.0.
     281        mv -v texk/web2c/pdftexdir/pdftoepdf{-poppler0.86.0,}.cc
     282    fi
     283    # For pdftosrc BLFS-9.1 uses 0.83.0 and that is the latest variant.
     284    mv -v texk/web2c/pdftexdir/pdftosrc{-poppler0.83.0,}.cc
     285fi &amp;&amp;
     286export SYSPOP &amp;&amp;
     287unset MYPOPPLER_{MAJOR,MINOR}</userinput></screen>
     288
    260289    <note>
    261290      <para>
     
    271300<!-- after the export!
    272301patch -Np1 -i ../texlive-&texlive-version;-source-upstream_fixes-1.patch &amp;&amp;-->
    273 
    274 <!-- System poppler was removed from upstream in
    275  https://tug.org/svn/texlive?view=revision&revision=55138
    276  so for remaining lifetime of TL2020 use its shipped version
    277  because it does not build with current system poppler -->
    278 
    279302<screen><userinput>export TEXARCH=$(uname -m | sed -e 's/i.86/i386/' -e 's/$/-linux/') &amp;&amp;
    280303
     
    305328    --with-system-mpfr                                          \
    306329    --with-system-pixman                                        \
     330    ${SYSPOP}                                                   \
    307331    --with-system-zlib                                          \
    308332    --with-banner-add=" - BLFS" &amp;&amp;
    309333
    310 make</userinput></screen>
     334make &amp;&amp;
     335unset SYSPOP</userinput></screen>
    311336
    312337    <para>
Note: See TracChangeset for help on using the changeset viewer.